<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Building an Ajax Application with Progressive Enhancement &#151; Final Ajax Demo</title>

<style>
img {
	border: none;
}

h1 {
	line-height: 1em;
	font-family: Arial, Helvetica, sans-serif;
}

h2 {
	font-family: Arial, Helvetica, sans-serif;
	margin: 0 0 8px 0;
}

h3 {
	font-family: Arial, Helvetica, sans-serif;
	margin: 0;
	padding: 0;
}

p {
	font-family: Arial, Helvetica, sans-serif;
	font-size: .8em;
	line-height: 1.5em;
	margin: 0 0 14px 0;;
}

ul {
	font-family: Arial, Helvetica, sans-serif;
	font-size: .9em;
}

	ul li {
		padding: 5px;
	}

#employee-info, #section-1, #section-2, #section-3, #section-4, #section-5, #section-6 {
	border: solid 1px #ccc;
	padding: 20px;
	margin: 10px;
	overflow: hidden;
}
</style>
</head>

<body style="width: 98%;">

<div style="margin: 0 auto; width: 600px;">

<h1 style="text-align: center;">Progressive Enhancement<br />Final Demo Page</h1>

<ul style="margin: 0 auto; width: 110px;">
	<li><a href="?view=employee1">Employee 1</a></li>
	<li><a href="?view=employee2">Employee 2</a></li>
	<li><a href="?view=employee3">Employee 3</a></li>
	<li><a href="?view=employee4">Employee 4</a></li>
	<li><a href="?view=employee5">Employee 5</a></li>
</ul>

	<div id="employee-info">
	<?php include "employees.php"; ?>
	</div>

<p style="text-align: center; padding-top: 30px;">This page is using JavaScript and Ajax to display the employee info. If JavaScript is not available,<br />the content will still display using PHP, and will be indexed by search engines. <br />Notice that the URL does not change when a link is clicked.</a></p>

<p style="text-align: center; padding-top: 30px;">This is a demo page for <a href="http://www.impressivewebs.com/ajax-progressive-enhancement">Building an Ajax Application with Progressive Enhancement</a></p>
</div>

<script type="text/javascript">
addLoadListener(getEmployeeInfo);

function getEmployeeInfo() {

	var myLinksCollection = document.getElementsByTagName("a");
	
	for (i=0;i<myLinksCollection.length;i++) {
		myLinksCollection[i].onclick = function() {
			if (this.href.indexOf("view=") !== -1) {
				var clickedHREF = this.href;
				var clickedView = clickedHREF.split("view=");
				ajaxInitiate(clickedView[1]+'.html');
				return false;
			}
		}
	}

}

function ajaxInitiate(currentFile) {
var ajaxCapable = getXhrObject();
if (ajaxCapable) {
	ajaxCapable.onreadystatechange = function() {
		serverResponse(ajaxCapable);
	};
	ajaxCapable.open("POST", currentFile, true);
	ajaxCapable.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	ajaxCapable.send(null);
	}
	else {
		document.getElementById("employee-info").innerHTML += "Your Browser Does not Support Ajax. To view this page, please disable JavaScript.";
	}
}

function serverResponse(ajaxCapable) {
	if (ajaxCapable.readyState == 4) {
		if (ajaxCapable.status == 200 || ajaxCapable.status == 304) {
			document.getElementById("employee-info").innerHTML = ajaxCapable.responseText;
		}
	}
}

function getXhrObject() {  
	var xhrObject = false;
	// Most browsers (including IE7-IE8) use the 3 lines below
	if (window.XMLHttpRequest) {
		xhrObject = new XMLHttpRequest();
	}
	// Internet Explorer 5/6 will use one of the following
	else if (window.ActiveXObject) {
		try {   
		xhrObject = new ActiveXObject("Msxml2.XMLHTTP");
			} catch(err) {
				try {
				xhrObject = new ActiveXObject("Microsoft.XMLHTTP");
				} catch(err) {
				xhrObject = false;
				}
		}
	}
	return xhrObject;
}

// The code below is the load listener that helps run multiple events on the same page. All JS libraries have this built in.
function addLoadListener(fn)
{
	if (typeof window.addEventListener != 'undefined')
	{
	window.addEventListener('load', fn, false);
}
else if (typeof document.addEventListener != 'undefined')
{
	document.addEventListener('load', fn, false);
}
else if (typeof window.attachEvent != 'undefined')
{
	window.attachEvent('onload', fn);
}
else
{
	var oldfn = window.onload;
	if (typeof window.onload != 'function')
	{
	window.onload = fn;
	}
	else
	{
	window.onload = function()
	{
	oldfn();
	fn();
	};
	}
	}
}
</script>
</body>
</html>